#ifndef stringlist_h
#define stringlist_h

#ifdef __cplusplus
extern "C" {
#endif

struct stringlisten_eintrag
{
  char *text;
  struct stringlisten_eintrag *previous;
  struct stringlisten_eintrag *next;
};

// erzeugt eine neue Stringliste und gibt einen Pointer auf das erste (und einzige) Listenelement zurueck 
struct stringlisten_eintrag *newstringlist(const char *text); 

// fuegt hinter dem Listenelement 'stelle' ein neues Listenelement ein 
struct stringlisten_eintrag *stringlist_einfuegen(struct stringlisten_eintrag *stelle,const char *text); 

// Fuegt hinter dem Ende der Stringlist den Text ein und gibt einen Pointer auf den angehaengten Text zurueck
struct stringlisten_eintrag *stringlist_append(struct stringlisten_eintrag *slist,const char *text);

// gibt die Stringliste ab dem first_element aus
void stringlist_ausgabe(struct stringlisten_eintrag *first_element); 

// gibt den von der Stringliste belegten Speicher wieder frei
void stringlist_freigeben(struct stringlisten_eintrag *first_elemenet); 

#ifdef __cplusplus
}
#endif

#endif // stringlist_h
