/*
$Id: types_and_functions_core.h,v 1.2 2001/01/12 16:24:50 sbeyer Exp $
$Log: types_and_functions_core.h,v $
Revision 1.2  2001/01/12 16:24:50  sbeyer

C++-files now use 'class string' instead of 'char *'-stuff

Revision 1.1  2001/01/11 16:25:27  sbeyer

split types_and_functions (about 900 lines) into the 3 files
    types_and_functions_add
    types_and_functions_core
    types_and_functions_libs

*/
#ifndef types_and_functions_core_h
#define types_and_functions_core_h

#include "types_and_functions_libs.h"

extern string root_file_name;
extern string root_path;

bool is_theory_imported(const parsed_theory& parsed_theo);
void import_theory(const parsed_theory& parsed_theo, bool is_root=false);

#endif // types_and_functions_core_h
